org.apache.poi.xddf.usermodel.text

## Class XDDFParagraphBulletProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFParagraphBulletProperties

-     @Beta
      public class XDDFParagraphBulletProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFParagraphBulletProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAll()`
    `XDDFColor` | `getBulletColor()`
    `XDDFFont` | `getBulletFont()`
    `XDDFBulletSize` | `getBulletSize()`
    `XDDFBulletStyle` | `getBulletStyle()`
    `void` | `setBulletColor(XDDFColor color)`
    `void` | `setBulletColorFollowText()`
    `void` | `setBulletFont(XDDFFont font)`
    `void` | `setBulletFontFollowText()`
    `void` | `setBulletSize(XDDFBulletSize size)`
    `void` | `setBulletStyle(XDDFBulletStyle style)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFParagraphBulletProperties

          @Internal
          protected XDDFParagraphBulletProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties properties)

  - ### Method Detail

    - #### getBulletStyle

          public XDDFBulletStyle getBulletStyle()

    - #### setBulletStyle

          public void setBulletStyle(XDDFBulletStyle style)

    - #### getBulletColor

          public XDDFColor getBulletColor()

    - #### setBulletColor

          public void setBulletColor(XDDFColor color)

    - #### setBulletColorFollowText

          public void setBulletColorFollowText()

    - #### getBulletFont

          public XDDFFont getBulletFont()

    - #### setBulletFont

          public void setBulletFont(XDDFFont font)

    - #### setBulletFontFollowText

          public void setBulletFontFollowText()

    - #### getBulletSize

          public XDDFBulletSize getBulletSize()

    - #### setBulletSize

          public void setBulletSize(XDDFBulletSize size)

    - #### clearAll

          public void clearAll()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.